.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    padding-top: rem(110);
    padding-bottom: rem(74);

    @include media-breakpoint-up(md) {
        padding-top: rem(122);
        padding-bottom: 0;
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(126);
     //   overflow: visible;
        overflow: clip;
    }
}

.main {
    flex-grow: 1;
    padding-bottom: rem(32);

    &__sidebar {

        display: none;
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(28);

        &__row {
            position: relative;
            display: flex;
            justify-content: space-between;
        }

        &__sidebar {
            z-index: 300;
            display: block;
            position: relative;
            width: 250px;
            flex-shrink: 0;
       //     position: sticky;
        }

        &__content {
            width: calc(100% - 278px);
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(wide) {
        //
        //&__sidebar {
        //    width: 315px;
        //}
        //
        //&__content {
        //    width: calc(100% - 347px);
        //}
    }
}

.swiper {
    width: 100%;
    height: 100%;
}

.swiper-pagination {
    left: 0;
    right: 0;
    font-size: 0;
    line-height: 0;
    bottom: rem(14);
    z-index: 50;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: rem(9);
}

.swiper-pagination-bullet {
    display: block;
    flex-shrink: 0;
    width: 9px;
    height: 9px;
    background: white;
    border-radius: 50%;
    transition: var(--transition-time);
}

.swiper-pagination-bullet-active {
    background: var(--blue);
}

.btn-close {
    padding: 0;
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    width: rem(24);
    height: rem(24);
    display: block;
    cursor: pointer;
    fill: var(--gray-40);
    background: transparent;
    transition: var(--transition-time);
    flex-shrink: 0;

    &:hover {
        fill: var(--gray-80);
        transition: var(--transition-time);
    }

    &--white {
        fill: white;

        &:hover {
            fill: white;
        }
    }
}

.contact-phone {
    fill: #888;
    font-weight: 600;
    font-size: rem(12);
    line-height: rem(18);
    color: var(--gray-80);
    text-decoration: none;
    white-space: nowrap;
    display: flex;
    align-items: center;
    column-gap: rem(8);

    i {
        font-size: 0;
        line-height: 0;
        height: rem(16);
        display: inline-block;
        flex-shrink: 0;
    }

    &:hover {
        color: var(--gray-80);
        text-decoration: none;
    }

    &--gray {
        color: var(--gray-50);

        &:hover {
            color: var(--gray-50);
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(12);
        line-height: rem(18);
    }
}

.contact-item {
    display: flex;
    align-items: center;
    font-size: rem(12);
    line-height: rem(18);
    text-decoration: none;
    fill: var(--gray-40);
    color: var(--gray-40);
    stroke: var(--gray-40);
    column-gap: rem(8);

    i,
    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(16);
        display: inline-block;
        flex-shrink: 0;
    }

    &__button {
        padding: 0;
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        height: rem(16);
        cursor: pointer;
        position: relative;
        display: inline-block;
        background: transparent;
        flex-shrink: 0;
        fill: var(--gray-40);
        color: var(--gray-40);
        transition: var(--transition-time);

        &:before {
            left: rem(-20);
            top: calc(100% + 12px);
            padding: rem(6) rem(12);
            position: absolute;
            background: white;
            white-space: nowrap;
            font-size: rem(13);
            line-height: rem(20);
            color: var(--gray-50);
            border-radius: rem(4);
            box-shadow: var(--shadow);
            content: attr(data-copy-hover);
            opacity: 0;
            visibility: hidden;
            transition: opacity var(--transition-time);
        }

        &:hover {
            z-index: 100;
            fill: var(--blue);
            color: var(--blue);
            transition: var(--transition-time);
            .header-email__tooltip  {
                opacity: 1;
                visibility: visible;
                transition: var(--transition-time);
            }

            &:before {
                opacity: 1;
                visibility: visible;
                transition: var(--transition-time);
            }
        }

        &.copied {
            z-index: 1000;
            fill: var(--blue);

            &:before {
                opacity: 1;
                z-index: 1000;
                visibility: visible;
                padding-left: rem(40);
                content: attr(data-copy-active);
                background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTYnIGhlaWdodD0nMTYnIHZpZXdCb3g9JzAgMCAxNiAxNicgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNNS44NjMzOSAxMC41ODM0TDMuMDgzMzkgNy44MDMzNkwyLjEzNjcyIDguNzQzMzZMNS44NjMzOSAxMi40N0wxMy44NjM0IDQuNDcwMDNMMTIuOTIzNCAzLjUzMDAzTDUuODYzMzkgMTAuNTgzNFonIGZpbGw9JyMwMEE1RkYnLz48L3N2Zz4=");
                background-repeat: no-repeat;
                background-position: 12px 50%;
                transition: opacity var(--transition-time);
            }
            .header-email__tooltip {

                &:before {
                    width: 16px;
                    height: 16px;
                    display: block;
                    content: '';
                    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTYnIGhlaWdodD0nMTYnIHZpZXdCb3g9JzAgMCAxNiAxNicgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNNS44NjMzOSAxMC41ODM0TDMuMDgzMzkgNy44MDMzNkwyLjEzNjcyIDguNzQzMzZMNS44NjMzOSAxMi40N0wxMy44NjM0IDQuNDcwMDNMMTIuOTIzNCAzLjUzMDAzTDUuODYzMzkgMTAuNTgzNFonIGZpbGw9JyMwMEE1RkYnLz48L3N2Zz4=");
                    background-position: 50% 50%;
                    background-repeat: no-repeat;
                    background-size: cover;
                }

                &:after {
                    content: attr(data-copy-active);
                }
            }
        }
    }

    &:hover {
        text-decoration: none;
        fill: var(--gray-40);
        color: var(--gray-40);
        stroke: var(--gray-40);
    }

    &--link {
        fill: var(--blue);
        color: var(--blue);
        stroke: var(--blue);
        text-decoration: underline;

        &:hover {
            fill: var(--blue);
            color: var(--blue);
            stroke: var(--blue);
            text-decoration: none;
        }
    }

    &--sm {
        font-size: rem(13);
        line-height: rem(20);
    }

    &--email {
        text-decoration: underline;

        &:hover {
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(12);
        line-height: rem(20);
    }
}

.content {
    font-size: rem(12);
    line-height: rem(16);
    color: var(--gray-60);

    p {
        margin-bottom: rem(8);

        &:last-child {
            margin-bottom: 0;
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(13);
        line-height: rem(20);
    }
}

.return {
    fill: var(--gray-20);
    color: var(--gray-50);
    font-size: rem(13);
    line-height: rem(20);
    white-space: nowrap;
    text-decoration: none;
    transition: var(--transition-time);
    display: flex;
    column-gap: rem(8);
    align-items: center;

    i {
        font-size: 0;
        line-height: 0;
        height: rem(20);
        flex-shrink: 0;
        display: inline-block;
    }

    &:hover {
        fill: var(--blue);
        color: var(--blue);
        text-decoration: none;
        transition: var(--transition-time);
    }
}

.page-header {
    margin-bottom: rem(16);
    display: flex;
    column-gap: rem(14);
    flex-direction: column;
    justify-content: space-between;

    @include media-breakpoint-up(lg) {
        margin-bottom: rem(14);
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }
}

.page-back {
    display: flex;
    flex-direction: column;

    @include media-breakpoint-up(md) {
        flex-direction: row;
    }
}

.icon-ok {
    width: 14px;
    height: 14px;
    display: block;
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTQnIGhlaWdodD0nMTQnIHZpZXdCb3g9JzAgMCAxNCAxNCcgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNNy4yNDk5MiAwLjMzMzQ5NkMzLjU2OTkyIDAuMzMzNDk2IDAuNTgzMjUyIDMuMzIwMTYgMC41ODMyNTIgNy4wMDAxNkMwLjU4MzI1MiAxMC42ODAyIDMuNTY5OTIgMTMuNjY2OCA3LjI0OTkyIDEzLjY2NjhDMTAuOTI5OSAxMy42NjY4IDEzLjkxNjYgMTAuNjgwMiAxMy45MTY2IDcuMDAwMTZDMTMuOTE2NiAzLjMyMDE2IDEwLjkyOTkgMC4zMzM0OTYgNy4yNDk5MiAwLjMzMzQ5NlpNNy4yNDk5MiAxMi4zMzM1QzQuMzA5OTIgMTIuMzMzNSAxLjkxNjU5IDkuOTQwMTYgMS45MTY1OSA3LjAwMDE2QzEuOTE2NTkgNC4wNjAxNiA0LjMwOTkyIDEuNjY2ODMgNy4yNDk5MiAxLjY2NjgzQzEwLjE4OTkgMS42NjY4MyAxMi41ODMzIDQuMDYwMTYgMTIuNTgzMyA3LjAwMDE2QzEyLjU4MzMgOS45NDAxNiAxMC4xODk5IDEyLjMzMzUgNy4yNDk5MiAxMi4zMzM1Wk0xMC4zMDk5IDQuMDUzNUw1LjkxNjU5IDguNDQ2ODNMNC4xODk5MiA2LjcyNjgzTDMuMjQ5OTIgNy42NjY4M0w1LjkxNjU5IDEwLjMzMzVMMTEuMjQ5OSA1LjAwMDE2TDEwLjMwOTkgNC4wNTM1WicgZmlsbD0nIzAwQTVGRicvPjwvc3ZnPg==");
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-size: cover;
}

.blank-page {
    padding-top: rem(24);
    padding-bottom: rem(24);
    color: var(--gray-80);
    text-align: center;

    &__icon {
        width: rem(48);
        margin: 0 auto rem(8) auto;
    }

    &__header {
        font-weight: 600;
        font-size: rem(15);
        line-height: rem(24);
        margin-bottom: rem(8);
    }

    &__text {
        font-size: rem(12);
        line-height: rem(16);

        a {
            color: var(--blue);
            text-decoration: underline;

            &:hover {
                color: var(--blue);
                text-decoration: none;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__icon {

        }

        &__header {
            font-size: rem(20);
            line-height: rem(28);
        }

        &__text {
            font-size: rem(13);
            line-height: rem(20);
        }
    }
}

.inline-gallery {
    display: grid;
    grid-row-gap: rem(8);
    grid-column-gap: rem(8);
    grid-template-columns: 1fr 1fr;

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xxl) {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.image-item {
    height: rem(120);
    display: block;
    overflow: hidden;
    border-radius: rem(4);

    @include media-breakpoint-up(md) {
        height: rem(160);
    }
}

.map-block {
    overflow: hidden;
    height: rem(270);
    border-radius: rem(4);
    margin-bottom: rem(32);

    @include media-breakpoint-up(md) {
        height: rem(375);
        margin-bottom: rem(40);
    }

    @include media-breakpoint-up(xl) {
        height: rem(384);
    }

    @include media-breakpoint-up(xxl) {
        height: rem(402);
    }
}

.informer {
    position: relative;

    &__icon {
        font-size: 0;
        line-height: 0;
        display: block;
        height: rem(16);
        width: rem(16);
        flex-shrink: 0;
        cursor: pointer;
        fill: var(--gray-10);
        transition: var(--transition-time);

        &:hover {
            fill: var(--gray-20);
            transition: var(--transition-time);
        }
    }

    &__content {
        right: rem(-80);
        top: calc(100% + 6px);
        position: absolute;
        z-index: 100;
        width: rem(210);
        cursor: default;
        border-radius: rem(4);
        content: attr(data-tooltip-text);
        font-size: rem(12);
        line-height: rem(16);
        color: var(--gray-50);
        padding: rem(6) rem(12);
        background-color: white;
        box-shadow: var(--shadow);
        opacity: 0;
        visibility: hidden;
        transition: .2s;
    }

    &.open {

        .informer {

            &__icon {
                fill: var(--primary) !important;
                transition: var(--transition-time);
            }

            &__content {
                opacity: 1;
                visibility: visible;
                transition: .2s;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__content {
            right: 0;
        }
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
